NI Labs Toolkits

Showing results for 
Search instead for 
Did you mean: 

NI LabVIEW for LEGO® MINDSTORMS® / LabVIEW Module for LEGO MINDSTORMS - Download

by Member dantol on ‎03-31-2011 09:51 AM

LabVIEW for LEGO MINDSTORMS

(Special MINDSTORMS specific version of LabVIEW - Educators)

     Video - What is LabVIEW for LEGO MINDSTORMS

NI LabVIEW for LEGO MINDSTORMS software is a new education-focused version of LabVIEW 2012 SP1. Developed specifically for high school students to use with the LEGO Education robotics platform in classrooms or after-school robotics competitions, LabVIEW for LEGO MINDSTORMS is a teaching tool that helps students visually control and program MINDSTORMS EV3/NXT robots. The desktop software turns any LEGO MINDSTORMS Education set into a full-feature science and engineering learning station, preparing students for university courses and engineering careers where LabVIEW is already used.

NOTE: LVLM 2012 does not inlcude EV3 support by default. To add EV3 support first download LVLM then install the LabVIEW Module for LEGO MINDSTORMS below.

This software is available as single-seat for personal use, or campus bundles for primary and secondary schools and afterschool competitions. Download a 30-day trial version, and purchase a license to activate your trial into the full software.

Purchase LabVIEW for LEGO MINDSTORMS 2012

Download LVLM 2012.pngLVLM Code Snippit.png

Once you have LabVIEW for LEGO MINDSTORMS 2012 you will need to install the LabVIEW Module for LEGO MINDSTOMRS 2012 to add EV3 support.

EV3 Software

(MINDSTORMS Programming Software that ships with MINDSTORMS retial, supports EV3 & NXT)

NI Partnered with LEGO to create the EV3 programming langugage. The home version of the EV3 software is avalible for free download. EV3 software support both LEGO MINDSTORMS EV3 as well as the NXT. This software is recomended for developers under 13 years old.

Small Code.png

Download EV3.png



LabVIEW Toolkit for LEGO MINDSTORMS

(MINDSTORMS Add On for Existing LabVIEW Licence - Industry / University / Hobbyist)

With the LabVIEW Module for LEGO MINDSTORMS, you can use LabVIEW to control and program the LEGO MINDSTORMS EV3/NXT. If you already have a LabVIEW license for yourself or your company, you can install the one of the modules below as an add-on to LabVIEW.

LabVIEW VersionWindowsMac OS
2015
LabVIEW Module for LEGO MINDSTORMS 2015 (150 MB)
LabVIEW Module for LEGO MINDSTORMS 2015 (105 MB)
2014
LabVIEW Module for LEGO MINDSTORMS 2014 (146 MB)
LabVIEW Module for LEGO MINDSTORMS 2014 (105 MB)
2013
LabVIEW Module for LEGO MINDSTORMS 2013 (146 MB) (jp) (de)
LabVIEW Module for LEGO MINDSTORMS 2013 (110 MB)

2012 SP1

LV4E 2012
LVLM 2012

LabVIEW Module for LEGO MINDSTORMS 2012 (145 MB) (jp) (de)
LabVIEW Module for LEGO MINDSTORMS 2012 (110 MB)
2011LEGO NXT 2011 Module (129 MB)
LEGO NXT 2011 Module (103 MB)
2010 SP1LEGO NXT 2010 Module (129 MB)LEGO NXT 2010 Module (103 MB)
2009Legacy LEGO NXT Module (66 MB)Legacy LEGO NXT Module (43 MB)
8.6.1Legacy LEGO NXT Module (38 MB)N/A
8.5.1Legacy LEGO NXT Module (47 MB)Legacy LEGO NXT Toolkit (26 MB)
8.2.1Legacy LEGO NXT Toolkit  (41 MB)Legacy LEGO NXT Toolkit (26 MB)
8.0Legacy LEGO NXT Toolkit  (41 MB)Legacy LEGO NXT Toolkit (26 MB)
7.1Legacy LEGO NXT Toolkit (49 MB)Legacy LEGO NXT Toolkit (26 MB)

Table Legend - LabVIEW Revision Features

Note: The colors in the table above indicate the features available for each version of this LabVIEW add-on.


LabVIEW Module for LEGO MINDSTORMSLEGO NXT ModuleLegacy LEGO NXT ModuleLegacy LEGO NXT Toolkit
Robotics PaletteYesYesYesYes
Custom AppsYesYesYesN/A
Robot Project CenterYesYesN/AN/A
Remote Control EditorYesYesN/AN/A
Schematic EditorYesYesN/AN/A
EV3 SupportYesN/AN/AN/A

If you are working with young students or are completely new to programming you can get started using the EV3 Software designed by National Instruments and powered by LabVIEW.

Comments
Member jyrow5
Member

Is there a version for x64 labview?

Member SpaceHunter
Member

The NXT Module is only avalible in 32bit.

Member bach.n.le93
Member

For what reason that when I try to install the LEGO NXT Mindstorm 2013 module, it asks for LabVIEW 2012 SP1, while I just installed LabVIEW 2013?? I downloaded directly from the NI website and I am sure I am on the right site. Tried few times. This does not make any sense! Want to hear from NI representatives. Please FIX!

Member p.skwarek
Member

Same problem, please fix it asap.

Member Moeter84
Member

Same problem here...

Member SpaceHunter
Member

Howdy everyone, we've reposted the NXT 2013 download and all should be resolved now, please download and let us know if you have any trouble

Member p.skwarek
Member

It's working now, thanx.

Member bach.n.le93
Member

Yes, it is good now. Thank you!

Member gairlochan
Member

Is there a demo version of LabVIEW Mindstorms for Mac OSX anywhere in existence? I've tried downloading the Windoze version and installing it under WINE/Crossover on my Mac, but it just throws 'not enough memory' errors and quits, although I've got 12GB of RAM free. I really don't want to buy without trying first

Member SpaceHunter
Member

Unfortunatly we donot have evaluation versions of LabVIEW for Mac.

Member gairlochan
Member

Where would I, as a private person not connected with education or schools in any way at all, buy the Mac version anyway? You don't seem to sell it on the NI site, and I've searched for hours on the net and followed the links from this site to education sites in my country (Australia) and elsewhere, and all I can find is LabVIEW for Education and LabVIEW Student Edition, not specifically LabVIEW Mindstorms, and even then I get the impression that they only sell to schools, though I could be wrong.

There's almost no information on these sites as to what distinguishes these different versions, and the only info I can find that's at all useful is the various demos that people have generously put up on YouTube for LabVIEW Mindstorms.

All I want is the Mac version single seat licence that isn't expensive like the full versions of LabVIEW proper, and which I can buy online (and preferably download) and use at home (in Australia). It really shouldn't be this hard

Btw, why is there no Mac demo? That seems like quite a serious omission

Member SpaceHunter
Member

NI now sells LabVIEW for LEGO MINDSTORMS Globally, just go to the NI product page and at a single seat to your cart. http://sine.ni.com/nips/cds/view/p/lang/en/nid/210666

Member EV3Rader
Member

I have the beta developers kit for the EV3 Education version. Will a  formal version for Lego education Licensed software be made available?

Member Koldo
Member

I have a NI LabView for Education license I bougth on 2012. I would like if there is any update to be able to use it with EV3 or I'd have to buy a new license

Member SpaceHunter
Member

Just download the free LabVIEW Module for LEGO MINDSTORMS 2012, and you can install it on top of your LabVIEW for Education 2012 licence for EV3 support.

Member SpaceHunter
Member

You can download the EV3 Software (Created by National Instruments) on LEGO's website. http://www.lego.com/en-us/mindstorms/downloads/software/ddsoftwaredownload/

Member Koldo
Member

I bought on 2012 but I can see that is the 2010 version, so I can't install this patch.

Member EV3Rader
Member

I have the licensed version of the EV3 education software as well as the Beta developers kit from NI for making VIXs which runs on top of this. I was told by NI a Lego specific verion, not a LV version, would be released in the 2nd quarter.

Are there still plans to release the final version of the Developer's kit for the Lego Version of software?

Member gairlochan
Member

I've been waiting for several months now for NI to provide an update to LabVIEW for Lego Mindstorms to work with my EV3 Brick and, now that they've done it, I can't instal it. The link in the email pointed to a download page for Windoze only, typically of NI with their awful Mac support, so I came to this page. But I can't instal the latest version of the LabVIEW Lego Mindstorms module for Mac OS X from the link above. It seems to be just a patch anyway, and its installer tells me that I need to instal the 'SP1' first, whatever that is, and I can't find that anywhere on the NI site for download.

I bought LabVIEW for Lego Mindstorms 2012 Mac a few months ago on CD, and didn't know there was supposed to be an 'SP1' and, not being a Windoze user, not very sure what an 'SP1' is to start with. I'm guessing it stands for 'Service Pack' as on Windoze.

The NI website is by far the most complex and messy site I've ever seen, so hard to find anything. Searches just bring up more of these patches, not the 'SPs' or modules themselves … arrggghhh!

Active Participant Zachmx
Active Participant

If you click Help>>About in LabVIEW for LEGO MINDSTORMS, which version is displayed for you? It should read 12.0.1 for the 2012 version. I tried installing the EV3-enabled 2012 SP1 f4 patch and was able to successfully install over the 12.0.1 version.

Member gairlochan
Member

Hmmm I see 12.0.1 also, but still the installer shows yellow triangles over my HD and tells me I must instal SP1 first I get the same message if I try to instal an ealier patch version too (f3).

Member gairlochan
Member

Sorry this reply's a bit late, but I had trouble finding this page again, and only found it by accident: There is actually an evaluation version of LabVIEW for Mac. It can be downloaded here:-

http://www.ni.com/gate/gb/GB_EVALLV/US  (Click the + to open a menu with other versions, one of which is for Mac.)

It would seem that NI's right hand doesn't know what its left hand is doing. I only came by this link after a NI representative phoned me to ask how I was getting on with LabVIEW (in Australia!). He gave me the link.

Active Participant Zachmx
Active Participant

There is an evaluation version of LabVIEW for Mac, just not an evaluation version of LabVIEW for Lego Mindstorms for Mac. Keep in mind that the evaluation version of LabVIEW for Mac cannot be activated, so it will only be usable for the evaluation period.

I would recommend getting in touch with your local NI office for support on installing the LEGO MINDSTORMS Module on top of your LabVIEW for LEGO MINDSTORMS 2012 SP1 installation. (http://australia.ni.com/contactus) For now, you should be able to install the LabVIEW Module for LEGO MINDSTORMS f4 Patch on top of the evaluation version of LabVIEW.

Member gairlochan
Member

Re the evaluation versions, I had thought that LabVIEW + Lego Mindstorms Module = LabVIEW for Lego Mindstorms, but I gather that's not so.

I'll try my local office for support, but could you clarify one thing for me first? You say, "installing the LEGO MINDSTORMS Module ?*on top of your* LabVIEW for LEGO MINDSTORMS 2012 SP1 installation." Are you saying I already have SP1 somehow? I'm sorry, but I really don't understand what a SP is   The patch installer keeps giving me the message, "NI LabVIEW 2012 SP1 Module for Lego Mindstorms f4 patch can't be installed on this disc. NI LabVIEW 2012 SP1 must be installed before you can instal this product."

Active Participant Zachmx
Active Participant

To clarify, LabVIEW for LEGO MINSTORMS 2012 contains LabVIEW 2012 SP1, a custom MINDSTORMS environment, and the 2012 SP1 LEGO MINDSTORMS NXT Module. Your LabVIEW version number (12.0.1) matches what we would expect the patch to look for (a LabVIEW 2012 SP1 installation).

It does sound like you already have the SP1 that you need installed.

Member gairlochan
Member

Er, even though the patch installer insists that I haven't? How can you tell?

Member mvallance
Member

My student having purchased LabView 2013 student edition discovered that the Mindstorms module for his EV3 project CANNOT be installed as a FULL version is required! This MUST be clearer before purchasing. C'mon NI .. EV3 is for students so why insist on a full version of LabView for activation?

University rules state that any sofware I buy must be installed on my uni computer. I cannot buy FOR the student's computer. Catch 22 here!

Please consider.

Member Yorky_Bar_Kid
Member

I've installed the new toolkit into LV 2012 for Mindstorms and LV 2012 for Education (on separate PCs). My main interest is in the use of Vernier sensors as I'm a science educator but I have found some of their compatible sensors appear to have calibration errors with both the EV3 and NXT. Vernier, NI and LEGO are aware.

Member cvance
Member

I've been talking to some of the developers after discovering a few unfortunate engineering decisions.  LV 2012 and 2013 do not function well under Mac OS 10.9.3.  With me it installed and I could run it but everytime I tried to communicate with the EV3 LV for Education 2012 crashed.  Chris Rogers says it works with him.  It is not officially supported by NI.  With my Mac 10.9.3 the installation finished with an error saying the installation did not complete but it did and I just looked in the application folder.

Member cvance
Member

The other problem is that the Wait For vi's do not support the EV3 Sensors for the most part.  This was an engineering compromise and will be completed when the next release comes out at the end of August. There may be other issues that are documented that we haven't found yet.  Using a read sensor in a loop you can easily duplicate the functionality of a Wait For when you find out the EV3 sensors are only supported in the Read Sensor vi's. 

So if you are planning on using this patch on EV3 please be careful. It does not have full functionality and you will need to be a bit creative to work around the issue.

Member wanneng1990
Member

thank you for your help

Member cthomsen
Member

Hi.. I have just purchased a used Mindstorm 9797 Education lego set for my daughter.  Which software do I need and where can I download it?  

I also recently purchased a brand new Mindstorm ev3 education set where I purchased also the education software for ev3 education...it appears that it is designated only for EV3...  

Thanks in advance for any assistance.

Member SpaceHunter
Member

If your daughter is 13 or younger I would recommend using the EV3 software which is compatible with both the NXT and EV3. For older students we recommend using LabVIEW for LEGO MINDSTORMS.  Cheers Hunter

Member robot2008
Member

Yes, it is good now. Thank you!

Member stevcha
Member

Version for 64bit Labview?

Member yanifresh
Member

labview 2014 does not recognize the nxt robot i've connected to my computer. what can i do?

Member john.boydon
Member

Hello all,

I tried to run a simple program in an EV3 brick with firmware 1.06H. But LabView 2014 warn me that there is a mismatch between the firmware installed in the computer (Win8.1) and the one installed in EV3 brick.

Since the firmware installed on EV3 is the latest one, how can I upgrade the firmware installed in the computer?

Thanks for your help

John

Member cvance
Member

It is a bit confusing which version of the firmware goes with which version of LabVIEW/EV3. There are all kinds of variations of the Firmware and you can’t just choose the one with the highest version number. In the classes that I teach I move between the EV3 SW and LabVIEW and this message comes up all the time.

Vance

EducaTec AG

Kanzleigasse 2 - Altes Schulhaus

CH-5312 Döttingen

Schweiz - Suisse - Switzerland

http://www.educatec.ch /

https://www.facebook.com/educatecag

vance.carter@educatec.ch

Tel: +41 56 245 8161 - Fax: +41 56 245 8163

Member john.boydon
Member

Thanks cvance for your very quick response.

The problem is that, due to this firmware mismatch, LabView doesn't allow me to run any program.

Should I change the EV3 brick firmware to the version suggested by LabView (1.05X) ?

Thanks

  John

Member cvance
Member

In the course I ran a week ago, we used 1.05X with LV 2014 and the latest MINDSTORMS module for this version. It worked fine.

Vance

EducaTec AG

Kanzleigasse 2 - Altes Schulhaus

CH-5312 Döttingen

Schweiz - Suisse - Switzerland

http://www.educatec.ch /

https://www.facebook.com/educatecag

vance.carter@educatec.ch

Tel: +41 56 245 8161 - Fax: +41 56 245 8163

Member diwo89
Member

Does someone know if the old RCX Mindstorms (although the USB infrared tower) is supported from this module?

Member cslinux
Member

Every time i try to install "LabVIEW Module for LEGO MINDSTORMS 2013 " or " LabVIEW Module for LEGO MINDSTORMS 2014 " on a Win7 64 bit machine, i'm getting

NI LabVIEW 201x 32-bit must be inatalled before you can instann NI LabView 201x Module

I've tried to install the LabVIEW 32-bit runtime engine and always the same issue.

Any idea whats wrong ?

Member stevcha
Member

I had a similar problem, so I have installed a 32-bit LabVIEW 2013, on my

64-bit Windows 8, and then installed LEGO Module. It works fine.

2015-05-06 2:39 GMT+02:00 cslinux <web.community@ni.com>:

Community

<https://decibel.ni.com/content/index.jspa> NI LabVIEW for LEGO®

MINDSTORMS® / LabVIEW Module for LEGO MINDSTORMS - Download new comment

by cslinux <https://decibel.ni.com/content/people/cslinux> View all

comments on this document

<https://decibel.ni.com/content/docs/DOC-15615#comment-42890>

Active Participant Zachmx
Active Participant

The LabVIEW Module for LEGO MINDSTORMS requires the full installation of LabVIEW, not just the Runtime Engine. It is only compatible with LabVIEW 32-bit, although both will work fine on a 64-bit Windows 7 or 8 OS.

To clarify, LabVIEW for LEGO MINDSTORMS includes the full installation of LabVIEW as well as the Module for LEGO MINDSTORMS.

The LabVIEW Module for LEGO MINDSTORMS requires LabVIEW to already be installed.

Member pacoshiva
Member

Removed, Already asnwered.

Member Chad1
Member

I have a RCX, made about 2000 plus 2 2014 Mindstorm robot kits.  What does it take to program the RCX?  Can I use the Labview from the Mindstorms?

Member sina-tavosli
Member

hi i can t download labviwe with this link ..... please give me any links 

Member mvallance
Member

It is not really a fully featured  LAB VIEW but

LabVIEW for LEGO MINDSTORMS.

Member Yorky_Bar_Kid
Member

I wonder if you have a version of LabVIEW already. You certainly need one as all the link is to download a module to add to the existing edition of LabVIEW.  If you are just starting then you would be best to get the latest version -  LabVIEW 2014 for LEGO MINDSTORMS which was relased a few weeks ago. You could also have LabVIEW 2014 for Education that includes the LEGO MINDSTORMS modules but also gives access to use with various Vernier Software & Technology interfaces such as SensorDAQ, LabQuest, LabQuest2, LabQuest Mini, GO!Link, GO!Temp and GO!Motion, plus NI myDAQ. There isn't a LV 2015 for LEGO MINDSTORMS nor LV 2015 for Education. Hope that helps. Chris

Member mmadl
Member

Do you know of any manuals/documentation on the EV3 API?